Subject: Re: bug#13791: 24.3.50; scroll-margin docstring says "recenter"

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Feb 2013 22:19:56 +0200

> Date: Sat, 23 Feb 2013 23:19:32 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> On 23.02.2013 22:47, Eli Zaretskii wrote:
> >> Date: Sat, 23 Feb 2013 22:08:56 +0400
> >> From: Dmitry Gutov <[email-masked]>
> >> CC: [email-masked]
> >>
> >> But I'm not sure we're talking about the same thing.
> >
> > I think we are.
> >
> >> I meant to describe what will happen to the window when point "gets
> >> within this many lines of the top or bottom of the window", not when
> >> it moves outside the visible area.
> >
> > That's how I understood it.  But if you lean on the up or down key,
> > you can easily cause point go off the screen before Emacs enters
> > redisplay.
> 
> Yes, but in this case point is not "within this many lines of the top or 
> bottom of the window" anymore technically.

"Within this many lines of top" actually means higher than top + this
many lines (and similarly for bottom).